function PPPN = Func_Fourier_Filter(RRR,SSS,Rin,Rout,PercentCut)

[Rsize Csize Hsize] = size(RRR);
Tsize = Rsize;
Thalf = (Tsize-1)/2;
Tcent = Thalf + 1;
PR = 125;
PZ = 125; 
Th = 3;

RRR(RRR<0.001*max(max(max(RRR)))) = 0;
figure,imagesc(squeeze(sum(RRR(PR-Th:PR+Th,:,:),1))); axis image; colormap(gray); drawnow; title('ZX plane (20 percent noise)')
figure,imagesc(squeeze(sum(RRR(:,:,PZ-Th:PZ+Th),3))); axis image; colormap(gray); drawnow; title('XY plane (20 percent noise)')

load Model_M10.mat
figure,imagesc(squeeze(sum(MMM(PR-Th:PR+Th,:,:),1))); axis image; colormap(gray); drawnow; title('ZX plane (model)')
figure,imagesc(squeeze(sum(MMM(:,:,PZ-Th:PZ+Th),3))); axis image; colormap(gray); drawnow; title('XY plane (model)')

FFF = zeros(Tsize,Tsize,Tsize);
for a = 1:Tsize
    for b = 1:Tsize
        for c = 1:Tsize
            if (sqrt((a-Tcent)^2+(b-Tcent)^2+(c-Tcent)^2)>=Rin) && (sqrt((a-Tcent)^2+(b-Tcent)^2+(c-Tcent)^2)<=Rout)
                FFF(a,b,c) = 1;
            end
        end
    end
end

KKK = fftshift(fftn(RRR));
KKK = KKK.*FFF;
Amax = max(max(max(abs(KKK))));
GGG = abs(KKK);  
Cutoff = PercentCut * 0.01 * Amax;
GGG(GGG<Cutoff) = 0;
GGG(GGG~=0) = 1;

%%%%%% smooth GGG by gaussian
for a = 1:1
    GGG = smooth3(GGG,'gaussian',3);
end
GGG = GGG / max(max(max(GGG)));
%%%%%

KKK = KKK.*GGG;
PPPN = real(ifftn(ifftshift(KKK))); 
PPPN(SSS==0) = 0;

figure,imagesc(squeeze(sum(PPPN(PR-Th:PR+Th,:,:),1))); axis image; colormap(gray); drawnow; title('ZX plane (filtered)')
figure,imagesc(squeeze(sum(PPPN(:,:,PZ-Th:PZ+Th),3))); axis image; colormap(gray); drawnow; title('XY plane (filtered)')


